IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Langage PHP Discussion :

composer et invalid credentials


Sujet :

Langage PHP

  1. #1
    Expert confirmé
    Avatar de laurentSc
    Homme Profil pro
    Webmaster débutant perpétuel !
    Inscrit en
    octobre 2006
    Messages
    9 515
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 58
    Localisation : France, Isère (Rhône Alpes)

    Informations professionnelles :
    Activité : Webmaster débutant perpétuel !
    Secteur : Industrie

    Informations forums :
    Inscription : octobre 2006
    Messages : 9 515
    Points : 4 887
    Points
    4 887
    Billets dans le blog
    1
    Par défaut composer et invalid credentials
    Bonsoir,
    je viens de développer une application avec PDO mais voudrais (en tant qu'exercice) la redévelopper avec la classe PDOPLUSPLUS. J'en ai déjà fait une version en utilisant composer et en déclarant PDOPLUSPLUS en tant que dépendance :
    Code json : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    "require": {
        "php": ">=8.0",
        "rawsrc/pdoplusplus": "dev-master",
        "vlucas/phpdotenv": "dev-master"
      }
    Plutôt que créer à la main le fichier composer.json, j'ai vu que la commande composer init le ferait. Je l'ai donc lancée et ça m'a posé plusieurs questions. Au début, tout va bien mais à un moment, j'ai ça :
    Would you like to define your dependencies (require) interactively [yes]? yes
    Search for a package: PDOPLUSPLUS

    Found 1 packages matching PDOPLUSPLUS

    [0] rawsrc/pdoplusplus

    Enter package # to add, or the complete package name if it is not listed: #
    Enter the version constraint to require (or leave blank to use the latest version):
    Authentication required (packagist.org):
    Username: laurentsc
    Password:
    https://repo.packagist.org could not be fully loaded (Invalid credentials for 'https://repo.packagist.org/p2/#.json', aborting.), package information was loaded from the local cache and may be out of date
    Je ne sais pas de quels "credentials" il s'agit. Peut-on me guider ? (j'ai mis en vert ce que j'ai saisi)
    Il vaut mieux viser la perfection et la manquer que viser l'imperfection et l'atteindre. - Bertrand Russell

  2. #2
    Expert éminent sénior
    Avatar de mathieu
    Profil pro
    Inscrit en
    juin 2003
    Messages
    8 906
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2003
    Messages : 8 906
    Points : 13 730
    Points
    13 730
    Par défaut
    je crois que dans la phrase Enter package # to add, le caractère "#" est une abréviation pour "nombre" en anglais donc vous devez taper "0" à ce moment.

  3. #3
    Expert confirmé
    Avatar de laurentSc
    Homme Profil pro
    Webmaster débutant perpétuel !
    Inscrit en
    octobre 2006
    Messages
    9 515
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 58
    Localisation : France, Isère (Rhône Alpes)

    Informations professionnelles :
    Activité : Webmaster débutant perpétuel !
    Secteur : Industrie

    Informations forums :
    Inscription : octobre 2006
    Messages : 9 515
    Points : 4 887
    Points
    4 887
    Billets dans le blog
    1
    Par défaut
    Merci, ça a marché. Il a fini de générer le fichier composer.json, mais il est bien plus petit que celui que j'avais récupéré :

    le nouveau :
    Code json : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    {
        "name": "laurent/dj2809",
        "require": {
            "rawsrc/pdoplusplus": "dev-master"
        },
        "authors": [
            {
                "name": "laurent"
            }
        ]
    }
    "dev-master", c'est car je sais que on est sûr d'avoir la dernière version ; il m'avait mis un numéro.

    l'ancien :
    Code json : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    {
      "name": "schmitt/pdoplusplus",
      "description": "display",
      "type": "project",
      "license": "MIT",
      "authors": [
        {
          "name": "Laurent Schmitt",
          "email": "adresse.mail@gmail.com"
        }
      ],
      "keywords": [
        "php"
      ],
      "minimum-stability": "dev",
      "require": {
        "php": ">=8.0",
        "rawsrc/pdoplusplus": "dev-master",
        "vlucas/phpdotenv": "dev-master"
      },
      "autoload": {
        "psr-4": {
          "dvp/phpecho3/\\": "src/"
        }
      }
    }
    Et j'ai compris que le paragraphe psr-4 était lié à l'autoloading, mais pouvez-vous m'en dire plus ?
    Il vaut mieux viser la perfection et la manquer que viser l'imperfection et l'atteindre. - Bertrand Russell

  4. #4
    Membre chevronné
    Avatar de cavo789
    Homme Profil pro
    Développeur Web
    Inscrit en
    mai 2004
    Messages
    1 346
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 47
    Localisation : Belgique

    Informations professionnelles :
    Activité : Développeur Web

    Informations forums :
    Inscription : mai 2004
    Messages : 1 346
    Points : 2 174
    Points
    2 174
    Par défaut
    Citation Envoyé par laurentSc Voir le message
    il est bien plus petit que celui que j'avais récupéré
    Le strict minimum, oui.

    Citation Envoyé par laurentSc Voir le message
    Et j'ai compris que le paragraphe psr-4 était lié à l'autoloading, mais pouvez-vous m'en dire plus ?
    Pour ne pas réinventer la roue : https://coopernet.fr/formation/php/autoload ou encore https://thewebtier.com/php/psr4-auto...sing-composer/ (ou bien d'autres sur Ggl)
    Christophe (cavo789)
    Mes scripts Open Source : https://github.com/cavo789

  5. #5
    Expert confirmé
    Avatar de laurentSc
    Homme Profil pro
    Webmaster débutant perpétuel !
    Inscrit en
    octobre 2006
    Messages
    9 515
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 58
    Localisation : France, Isère (Rhône Alpes)

    Informations professionnelles :
    Activité : Webmaster débutant perpétuel !
    Secteur : Industrie

    Informations forums :
    Inscription : octobre 2006
    Messages : 9 515
    Points : 4 887
    Points
    4 887
    Billets dans le blog
    1
    Par défaut
    Bonjour,

    merci pour tes liens, surtout le premier car il a l'avantage d'être en français.

    Tu m'avais conseillé, il y a quelques semaines de prendre des notes :

    Citation Envoyé par cavo789 Voir le message
    Tu avais donc réussi ==> prends des notes.
    J'ai mis à jour mes notes au sujet de composer mais merci de corriger ou de compléter :

    Installation : Aller à la racine du projet
    À partir de l’adresse <https://getcomposer.org/download/>

    1. Créer le fichier composer.json ; la commande composer init (si on se place à la racine du projet) pose des questions puis le génère. Le # signifie nombre en anglais ; mettre 0.
    2. Autoload géré par composer : ajouter un paragraphe ds composer.json comme :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    "autoload": {
            "psr-4": {
                "App\\": "app/"
            }
        },
    Le namespace est nommé App et les fichiers sont ds le répertoire app.

    Ou comme :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    {
        "autoload": {
            "psr-4": {
                "Tutsplus\\Library\\": "src"
            }
        }
    }
    À partir de l’adresse <https://code.tutsplus.com/tutorials/how-to-autoload-classes-with-composer-in-php--cms-35649>

    Dans le fichier principal de votre projet, index.php par convention, ajouter la ligne suivante :
    require 'vendor/autoload.php';.

    À partir de l’adresse <https://coopernet.fr/formation/php/autoload>


    Ne pas mettre de numéro de version dans composer.json
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    "vlucas/phpdotenv": "dev-master"
    "dev-master" au lieu de "5.4".

    À partir de l’adresse <https://www.developpez.net/forums/d2130880/php/langage/utiliser-l-outil-composer/#post11836119>

    Dès que vous voulez utiliser une des classes de ce dossier app, il suffit d’utiliser les lignes de code telle que celle-ci :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    	use App\nomDeLaClasse as nomDeLaClasse;
    À partir de l’adresse <https://jf-blog.fr/utilisation-composer-autoloading/>
    Ça a supprimé l'indentation du code dans les notes...
    Il vaut mieux viser la perfection et la manquer que viser l'imperfection et l'atteindre. - Bertrand Russell

Discussions similaires

  1. kinit succeeded but ads_sasl_spnego_krb5_bind failed: Invalid credentials
    Par Lekno dans le forum Administration système
    Réponses: 0
    Dernier message: 17/09/2013, 16h30
  2. Réponses: 4
    Dernier message: 12/07/2010, 09h17
  3. [LDAP] ldap_bind >>> Invalid credentials
    Par nawak.seb dans le forum Bibliothèques et frameworks
    Réponses: 1
    Dernier message: 20/01/2009, 16h50
  4. Réponses: 1
    Dernier message: 16/06/2008, 10h38
  5. Réponses: 1
    Dernier message: 28/02/2008, 14h02

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo